ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 839 by gezelter, Wed Oct 29 03:06:51 2003 UTC vs.
Revision 840 by gezelter, Wed Oct 29 14:29:12 2003 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 2565 | Line 2565 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
2565   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2566   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2567   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2568 +
2569  
2570   ac_ext=cc
2571   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 2885 | Line 2886 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
2886   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2887   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2888   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2889 +
2890 + OOPSE_TEMPLATE_FLAGS=""
2891 + if test $ac_cv_cxx_compiler_gnu = no; then
2892 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -ptused -no_prelink" >&5
2893 + echo $ECHO_N "checking checking whether ${CXX} accepts -ptused -no_prelink... $ECHO_C" >&6
2894 +  echo 'void f(){}' > conftest.cc
2895 +  if test -z "`${CXX} -ptused -no_prelink -c conftest.cc 2>&1`"; then
2896 +    echo "$as_me:$LINENO: result: yes" >&5
2897 + echo "${ECHO_T}yes" >&6
2898 +    OOPSE_TEMPLATE_FLAGS="-ptused -no_prelink"
2899 +  else
2900 +    echo "$as_me:$LINENO: result: no" >&5
2901 + echo "${ECHO_T}no" >&6
2902 +  fi
2903 +  rm -f conftest*
2904 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -instances=static" >&5
2905 + echo $ECHO_N "checking checking whether ${CXX} accepts -instances=static... $ECHO_C" >&6
2906 +  echo 'void f(){}' > conftest.cc
2907 +  if test -z "`${CXX} -instances=static -c conftest.cc 2>&1`"; then
2908 +    echo "$as_me:$LINENO: result: yes" >&5
2909 + echo "${ECHO_T}yes" >&6
2910 +    OOPSE_TEMPLATE_FLAGS="-instances=static"
2911 +  else
2912 +    echo "$as_me:$LINENO: result: no" >&5
2913 + echo "${ECHO_T}no" >&6
2914 +  fi
2915 +  rm -f conftest*
2916 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -pto" >&5
2917 + echo $ECHO_N "checking checking whether ${CXX} accepts -pto... $ECHO_C" >&6
2918 +  echo 'void f(){}' > conftest.cc
2919 +  if test -z "`${CXX} -pto -c conftest.cc 2>&1`"; then
2920 +    echo "$as_me:$LINENO: result: yes" >&5
2921 + echo "${ECHO_T}yes" >&6
2922 +    OOPSE_TEMPLATE_FLAGS="-pto"
2923 +  else
2924 +    echo "$as_me:$LINENO: result: no" >&5
2925 + echo "${ECHO_T}no" >&6
2926 +  fi
2927 +  rm -f conftest*
2928 +  echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -LANG:std" >&5
2929 + echo $ECHO_N "checking checking whether ${CXX} accepts -LANG:std... $ECHO_C" >&6
2930 +  echo 'void f(){}' > conftest.cc
2931 +  if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
2932 +    echo "$as_me:$LINENO: result: yes" >&5
2933 + echo "${ECHO_T}yes" >&6
2934 +    EXTRA_CC_FLAG=${EXTRA_CC_FLAG}" -LANG:std"
2935 +  else
2936 +    echo "$as_me:$LINENO: result: no" >&5
2937 + echo "${ECHO_T}no" >&6
2938 +  fi
2939 + fi
2940  
2941 +
2942 +
2943 +
2944   ac_ext=f90
2945   ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
2946   ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
# Line 3246 | Line 3301 | fi
3301   echo "$as_me: error: Can't figure out working Fortran90 preprocessor define flag" >&2;}
3302     { (exit 1); exit 1; }; }
3303    fi
3304 + fi
3305 +
3306 + ac_ext=f90
3307 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3308 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3309 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3310 +
3311 +
3312 +
3313 + ac_ext=f90
3314 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3315 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3316 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3317 + echo "$as_me:$LINENO: checking how to get verbose linking output from $F90" >&5
3318 + echo $ECHO_N "checking how to get verbose linking output from $F90... $ECHO_C" >&6
3319 + if test "${ac_cv_prog_f90_v+set}" = set; then
3320 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3321 + else
3322 +
3323 + cat >conftest.$ac_ext <<_ACEOF
3324 +
3325 + program main
3326 +
3327 +
3328 + end program main
3329 +
3330 + _ACEOF
3331 + rm -f conftest.$ac_objext
3332 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3333 +  (eval $ac_compile) 2>&5
3334 +  ac_status=$?
3335 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3336 +  (exit $ac_status); } &&
3337 +         { ac_try='test -s conftest.$ac_objext'
3338 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3339 +  (eval $ac_try) 2>&5
3340 +  ac_status=$?
3341 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3342 +  (exit $ac_status); }; }; then
3343 +  ac_cv_prog_f90_v=
3344 + # Try some options frequently used verbose output
3345 + for ac_verb in -v -verbose --verbose -V -\#\#\#; do
3346 +  ac_ext=f90
3347 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3348 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3349 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3350 +
3351 + cat >conftest.$ac_ext <<_ACEOF
3352 +
3353 + program main
3354 +
3355 +
3356 + end program main
3357 +
3358 + _ACEOF
3359 +
3360 + # Compile and link our simple test program by passing a flag (argument
3361 + # 1 to this macro) to the Fortran 90 compiler in order to get
3362 + # "verbose" output that we can then parse for the Fortran 90 linker
3363 + # flags.
3364 + ac_save_F90FLAGS=$F90FLAGS
3365 + F90FLAGS="$F90FLAGS $ac_verb"
3366 +
3367 + (eval echo $as_me:3367: \"$ac_link\") >&5
3368 + ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3369 + echo "$ac_f90_v_output" >&5
3370 + F90FLAGS=$ac_save_F90FLAGS
3371 +
3372 + rm -f conftest.*
3373 + ac_ext=f90
3374 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3375 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3376 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3377 +
3378 + # If we are using xlf then replace all the commas with spaces.
3379 + if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
3380 +  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
3381 + fi
3382 +
3383 + # If we are using Cray Fortran then delete quotes.
3384 + # Use "\"" instead of '"' for font-lock-mode.
3385 + # FIXME: a more general fix for quoted arguments with spaces?
3386 + if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
3387 +  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
3388 + fi
3389 +  # look for -l* and *.a constructs in the output
3390 +  for ac_arg in $ac_f90_v_output; do
3391 +     case $ac_arg in
3392 +        [\\/]*.a | ?:[\\/]*.a | -[lLRu]*)
3393 +          ac_cv_prog_f90_v=$ac_verb
3394 +          break 2 ;;
3395 +     esac
3396 +  done
3397 + done
3398 + if test -z "$ac_cv_prog_f90_v"; then
3399 +   { echo "$as_me:$LINENO: WARNING: cannot determine how to obtain linking information from $F90" >&5
3400 + echo "$as_me: WARNING: cannot determine how to obtain linking information from $F90" >&2;}
3401 + fi
3402 + else
3403 +  echo "$as_me: failed program was:" >&5
3404 + sed 's/^/| /' conftest.$ac_ext >&5
3405 +
3406 + { echo "$as_me:$LINENO: WARNING: compilation failed" >&5
3407 + echo "$as_me: WARNING: compilation failed" >&2;}
3408 + fi
3409 + rm -f conftest.$ac_objext conftest.$ac_ext
3410 +
3411 + fi
3412 + echo "$as_me:$LINENO: result: $ac_cv_prog_f90_v" >&5
3413 + echo "${ECHO_T}$ac_cv_prog_f90_v" >&6
3414 + echo "$as_me:$LINENO: checking for Fortran 90 libraries" >&5
3415 + echo $ECHO_N "checking for Fortran 90 libraries... $ECHO_C" >&6
3416 + if test "${ac_cv_flibs+set}" = set; then
3417 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3418 + else
3419 +  if test "x$F90LIBS" != "x"; then
3420 +  ac_cv_f90libs="$F90LIBS" # Let the user override the test.
3421 + else
3422 +
3423 + ac_ext=f90
3424 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3425 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3426 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3427 +
3428 + cat >conftest.$ac_ext <<_ACEOF
3429 +
3430 + program main
3431 +
3432 +
3433 + end program main
3434 +
3435 + _ACEOF
3436 +
3437 + # Compile and link our simple test program by passing a flag (argument
3438 + # 1 to this macro) to the Fortran 90 compiler in order to get
3439 + # "verbose" output that we can then parse for the Fortran 90 linker
3440 + # flags.
3441 + ac_save_F90FLAGS=$F90FLAGS
3442 + F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3443 +
3444 + (eval echo $as_me:3444: \"$ac_link\") >&5
3445 + ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3446 + echo "$ac_f90_v_output" >&5
3447 + F90FLAGS=$ac_save_F90FLAGS
3448 +
3449 + rm -f conftest.*
3450 + ac_ext=f90
3451 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3452 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3453 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3454 +
3455 + # If we are using xlf then replace all the commas with spaces.
3456 + if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
3457 +  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
3458   fi
3459  
3460 + # If we are using Cray Fortran then delete quotes.
3461 + # Use "\"" instead of '"' for font-lock-mode.
3462 + # FIXME: a more general fix for quoted arguments with spaces?
3463 + if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
3464 +  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
3465 + fi
3466  
3467 + ac_cv_f90libs=
3468 +
3469 + # Save positional arguments (if any)
3470 + ac_save_positional="$@"
3471 +
3472 + set X $ac_f90_v_output
3473 + while test $# != 1; do
3474 +  shift
3475 +  ac_arg=$1
3476 +  case $ac_arg in
3477 +        [\\/]*.a | ?:[\\/]*.a)
3478 +            ac_exists=false
3479 +  for ac_i in $ac_cv_f90libs; do
3480 +    if test x"$ac_arg" = x"$ac_i"; then
3481 +      ac_exists=true
3482 +      break
3483 +    fi
3484 +  done
3485 +
3486 +  if test x"$ac_exists" = xtrue; then
3487 +  :
3488 + else
3489 +  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3490 + fi
3491 +
3492 +          ;;
3493 +        -bI:*)
3494 +            ac_exists=false
3495 +  for ac_i in $ac_cv_f90libs; do
3496 +    if test x"$ac_arg" = x"$ac_i"; then
3497 +      ac_exists=true
3498 +      break
3499 +    fi
3500 +  done
3501 +
3502 +  if test x"$ac_exists" = xtrue; then
3503 +  :
3504 + else
3505 +  if test "$ac_compiler_gnu" = yes; then
3506 +  for ac_link_opt in $ac_arg; do
3507 +    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
3508 +  done
3509 + else
3510 +  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3511 + fi
3512 + fi
3513 +
3514 +          ;;
3515 +          # Ignore these flags.
3516 +        -lang* | -lcrt0.o | -lc | -lgcc | -LANG:=*)
3517 +          ;;
3518 +        -lkernel32)
3519 +          test x"$CYGWIN" != xyes && ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3520 +          ;;
3521 +        -[LRuY])
3522 +          # These flags, when seen by themselves, take an argument.
3523 +          # We remove the space between option and argument and re-iterate
3524 +          # unless we find an empty arg or a new option (starting with -)
3525 +          case $2 in
3526 +             "" | -*);;
3527 +             *)
3528 +                ac_arg="$ac_arg$2"
3529 +
3530 +                shift; shift
3531 +                set X $ac_arg "$@"
3532 +                ;;
3533 +          esac
3534 +          ;;
3535 +        -YP,*)
3536 +          for ac_j in `echo $ac_arg | sed -e 's/-YP,/-L/;s/:/ -L/g'`; do
3537 +              ac_exists=false
3538 +  for ac_i in $ac_cv_f90libs; do
3539 +    if test x"$ac_j" = x"$ac_i"; then
3540 +      ac_exists=true
3541 +      break
3542 +    fi
3543 +  done
3544 +
3545 +  if test x"$ac_exists" = xtrue; then
3546 +  :
3547 + else
3548 +  ac_arg="$ac_arg $ac_j"
3549 +                             ac_cv_f90libs="$ac_cv_f90libs $ac_j"
3550 + fi
3551 +
3552 +          done
3553 +          ;;
3554 +        -[lLR]*)
3555 +            ac_exists=false
3556 +  for ac_i in $ac_cv_f90libs; do
3557 +    if test x"$ac_arg" = x"$ac_i"; then
3558 +      ac_exists=true
3559 +      break
3560 +    fi
3561 +  done
3562 +
3563 +  if test x"$ac_exists" = xtrue; then
3564 +  :
3565 + else
3566 +  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
3567 + fi
3568 +
3569 +          ;;
3570 +          # Ignore everything else.
3571 +  esac
3572 + done
3573 + # restore positional arguments
3574 + set X $ac_save_positional; shift
3575 +
3576 + # We only consider "LD_RUN_PATH" on Solaris systems.  If this is seen,
3577 + # then we insist that the "run path" must be an absolute path (i.e. it
3578 + # must begin with a "/").
3579 + case `(uname -sr) 2>/dev/null` in
3580 +   "SunOS 5"*)
3581 +      ac_ld_run_path=`echo $ac_f90_v_output |
3582 +                        sed -n 's,^.*LD_RUN_PATH *= *\(/[^ ]*\).*$,-R\1,p'`
3583 +      test "x$ac_ld_run_path" != x &&
3584 +
3585 +        if test "$ac_compiler_gnu" = yes; then
3586 +  for ac_link_opt in $ac_ld_run_path; do
3587 +    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
3588 +  done
3589 + else
3590 +  ac_cv_f90libs="$ac_cv_f90libs $ac_ld_run_path"
3591 + fi
3592 +      ;;
3593 + esac
3594 + fi # test "x$F90LIBS" = "x"
3595 +
3596 + fi
3597 + echo "$as_me:$LINENO: result: $ac_cv_flibs" >&5
3598 + echo "${ECHO_T}$ac_cv_flibs" >&6
3599 + F90LIBS="$ac_cv_f90libs"
3600 +
3601 + ac_ext=f90
3602 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3603 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3604 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3605 +
3606 +
3607 + echo "$as_me:$LINENO: checking for Fortran 90 name-mangling scheme" >&5
3608 + echo $ECHO_N "checking for Fortran 90 name-mangling scheme... $ECHO_C" >&6
3609 + if test "${ac_cv_f90_mangling+set}" = set; then
3610 +  echo $ECHO_N "(cached) $ECHO_C" >&6
3611 + else
3612 +  ac_ext=f90
3613 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3614 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3615 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3616 + cat >conftest.$ac_ext <<_ACEOF
3617 + subroutine foobar()
3618 + return
3619 + end
3620 + subroutine foo_bar()
3621 + return
3622 + end
3623 + _ACEOF
3624 + rm -f conftest.$ac_objext
3625 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3626 +  (eval $ac_compile) 2>&5
3627 +  ac_status=$?
3628 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3629 +  (exit $ac_status); } &&
3630 +         { ac_try='test -s conftest.$ac_objext'
3631 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3632 +  (eval $ac_try) 2>&5
3633 +  ac_status=$?
3634 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3635 +  (exit $ac_status); }; }; then
3636 +  mv conftest.$ac_objext cf90_test.$ac_objext
3637 +
3638 +  ac_ext=c
3639 + ac_cpp='$CPP $CPPFLAGS'
3640 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3641 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3642 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
3643 +
3644 +  ac_save_LIBS=$LIBS
3645 +  LIBS="cf90_test.$ac_objext $F90LIBS $LIBS"
3646 +
3647 +  ac_success=no
3648 +  for ac_foobar in foobar FOOBAR; do
3649 +    for ac_underscore in "" "_"; do
3650 +      ac_func="$ac_foobar$ac_underscore"
3651 +      cat >conftest.$ac_ext <<_ACEOF
3652 + #line $LINENO "configure"
3653 + /* confdefs.h.  */
3654 + _ACEOF
3655 + cat confdefs.h >>conftest.$ac_ext
3656 + cat >>conftest.$ac_ext <<_ACEOF
3657 + /* end confdefs.h.  */
3658 +
3659 + /* Override any gcc2 internal prototype to avoid an error.  */
3660 + #ifdef __cplusplus
3661 + extern "C"
3662 + #endif
3663 + /* We use char because int might match the return type of a gcc2
3664 +   builtin and then its argument prototype would still apply.  */
3665 + char $ac_func ();
3666 + int
3667 + main ()
3668 + {
3669 + $ac_func ();
3670 +  ;
3671 +  return 0;
3672 + }
3673 + _ACEOF
3674 + rm -f conftest.$ac_objext conftest$ac_exeext
3675 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3676 +  (eval $ac_link) 2>&5
3677 +  ac_status=$?
3678 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3679 +  (exit $ac_status); } &&
3680 +         { ac_try='test -s conftest$ac_exeext'
3681 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3682 +  (eval $ac_try) 2>&5
3683 +  ac_status=$?
3684 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3685 +  (exit $ac_status); }; }; then
3686 +  ac_success=yes; break 2
3687 + else
3688 +  echo "$as_me: failed program was:" >&5
3689 + sed 's/^/| /' conftest.$ac_ext >&5
3690 +
3691 + fi
3692 + rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
3693 +    done
3694 +  done
3695 +
3696 +  if test "$ac_success" = "yes"; then
3697 +     case $ac_foobar in
3698 +        foobar)
3699 +           ac_case=lower
3700 +           ac_foo_bar=foo_bar
3701 +           ;;
3702 +        FOOBAR)
3703 +           ac_case=upper
3704 +           ac_foo_bar=FOO_BAR
3705 +           ;;
3706 +     esac
3707 +
3708 +     ac_success_extra=no
3709 +     for ac_extra in "" "_"; do
3710 +        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
3711 +
3712 +        cat >conftest.$ac_ext <<_ACEOF
3713 + #line $LINENO "configure"
3714 + /* confdefs.h.  */
3715 + _ACEOF
3716 + cat confdefs.h >>conftest.$ac_ext
3717 + cat >>conftest.$ac_ext <<_ACEOF
3718 + /* end confdefs.h.  */
3719 +
3720 + /* Override any gcc2 internal prototype to avoid an error.  */
3721 + #ifdef __cplusplus
3722 + extern "C"
3723 + #endif
3724 + /* We use char because int might match the return type of a gcc2
3725 +   builtin and then its argument prototype would still apply.  */
3726 + char $ac_func ();
3727 + int
3728 + main ()
3729 + {
3730 + $ac_func ();
3731 +  ;
3732 +  return 0;
3733 + }
3734 + _ACEOF
3735 + rm -f conftest.$ac_objext conftest$ac_exeext
3736 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3737 +  (eval $ac_link) 2>&5
3738 +  ac_status=$?
3739 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3740 +  (exit $ac_status); } &&
3741 +         { ac_try='test -s conftest$ac_exeext'
3742 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3743 +  (eval $ac_try) 2>&5
3744 +  ac_status=$?
3745 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
3746 +  (exit $ac_status); }; }; then
3747 +  ac_success_extra=yes; break
3748 + else
3749 +  echo "$as_me: failed program was:" >&5
3750 + sed 's/^/| /' conftest.$ac_ext >&5
3751 +
3752 + fi
3753 + rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
3754 +     done
3755 +
3756 +     if test "$ac_success_extra" = "yes"; then
3757 +        ac_cv_f90_mangling="$ac_case case"
3758 +        if test -z "$ac_underscore"; then
3759 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, no underscore"
3760 +        else
3761 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, underscore"
3762 +
3763 +        fi
3764 +        if test -z "$ac_extra"; then
3765 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, no extra underscore"
3766 +        else
3767 +           ac_cv_f90_mangling="$ac_cv_f90_mangling, extra underscore"
3768 +        fi
3769 +      else
3770 +        ac_cv_f90_mangling="unknown"
3771 +      fi
3772 +  else
3773 +     ac_cv_f90_mangling="unknown"
3774 +
3775 +  fi
3776 +
3777 +  LIBS=$ac_save_LIBS
3778 +  ac_ext=f90
3779 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3780 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3781 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3782 +  rm -f cf90_test* conftest*
3783 + else
3784 +  echo "$as_me: failed program was:" >&5
3785 + sed 's/^/| /' conftest.$ac_ext >&5
3786 +
3787 + fi
3788 + rm -f conftest.$ac_objext conftest.$ac_ext
3789 + ac_ext=f90
3790 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
3791 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3792 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
3793 +
3794 + fi
3795 + echo "$as_me:$LINENO: result: $ac_cv_f90_mangling" >&5
3796 + echo "${ECHO_T}$ac_cv_f90_mangling" >&6
3797 +
3798 +
3799 +
3800 + case $ac_cv_f90_mangling in
3801 +  "lower case, no underscore, no extra underscore")
3802 +          cat >>confdefs.h <<\_ACEOF
3803 + #define F90_FUNC(name,NAME) name
3804 + _ACEOF
3805 +
3806 +          cat >>confdefs.h <<\_ACEOF
3807 + #define F90_FUNC_(name,NAME) name
3808 + _ACEOF
3809 + ;;
3810 +  "lower case, no underscore, extra underscore")
3811 +          cat >>confdefs.h <<\_ACEOF
3812 + #define F90_FUNC(name,NAME) name
3813 + _ACEOF
3814 +
3815 +          cat >>confdefs.h <<\_ACEOF
3816 + #define F90_FUNC_(name,NAME) name ## _
3817 + _ACEOF
3818 + ;;
3819 +  "lower case, underscore, no extra underscore")
3820 +          cat >>confdefs.h <<\_ACEOF
3821 + #define F90_FUNC(name,NAME) name ## _
3822 + _ACEOF
3823 +
3824 +          cat >>confdefs.h <<\_ACEOF
3825 + #define F90_FUNC_(name,NAME) name ## _
3826 + _ACEOF
3827 + ;;
3828 +  "lower case, underscore, extra underscore")
3829 +          cat >>confdefs.h <<\_ACEOF
3830 + #define F90_FUNC(name,NAME) name ## _
3831 + _ACEOF
3832 +
3833 +          cat >>confdefs.h <<\_ACEOF
3834 + #define F90_FUNC_(name,NAME) name ## __
3835 + _ACEOF
3836 + ;;
3837 +  "upper case, no underscore, no extra underscore")
3838 +          cat >>confdefs.h <<\_ACEOF
3839 + #define F90_FUNC(name,NAME) NAME
3840 + _ACEOF
3841 +
3842 +          cat >>confdefs.h <<\_ACEOF
3843 + #define F90_FUNC_(name,NAME) NAME
3844 + _ACEOF
3845 + ;;
3846 +  "upper case, no underscore, extra underscore")
3847 +          cat >>confdefs.h <<\_ACEOF
3848 + #define F90_FUNC(name,NAME) NAME
3849 + _ACEOF
3850 +
3851 +          cat >>confdefs.h <<\_ACEOF
3852 + #define F90_FUNC_(name,NAME) NAME ## _
3853 + _ACEOF
3854 + ;;
3855 +  "upper case, underscore, no extra underscore")
3856 +          cat >>confdefs.h <<\_ACEOF
3857 + #define F90_FUNC(name,NAME) NAME ## _
3858 + _ACEOF
3859 +
3860 +          cat >>confdefs.h <<\_ACEOF
3861 + #define F90_FUNC_(name,NAME) NAME ## _
3862 + _ACEOF
3863 + ;;
3864 +  "upper case, underscore, extra underscore")
3865 +          cat >>confdefs.h <<\_ACEOF
3866 + #define F90_FUNC(name,NAME) NAME ## _
3867 + _ACEOF
3868 +
3869 +          cat >>confdefs.h <<\_ACEOF
3870 + #define F90_FUNC_(name,NAME) NAME ## __
3871 + _ACEOF
3872 + ;;
3873 +  *)
3874 +          { echo "$as_me:$LINENO: WARNING: unknown Fortran 90 name-mangling scheme" >&5
3875 + echo "$as_me: WARNING: unknown Fortran 90 name-mangling scheme" >&2;}
3876 +          ;;
3877 + esac
3878 +
3879 +
3880 +
3881 +
3882 +
3883 + echo "$as_me:$LINENO: checking for module suffix" >&5
3884 + echo $ECHO_N "checking for module suffix... $ECHO_C" >&6
3885 + rm -f conftest*
3886 + # Intel ifc compiler generates files by the name of work.pc and work.pcl (!)
3887 + rm -f work*
3888 + cat >conftest.f90 <<EOF
3889 +        module conftest
3890 +        integer n
3891 +        parameter (n=1)
3892 +        end module conftest
3893 + EOF
3894 + # SGI and absoft compilers generates module name in upper case!
3895 + testname="conftest"
3896 + modcase="lower"
3897 + if $F90 -c conftest.f90 > conftest.out 2>&1 ; then
3898 +    MOD=`ls conftest* | grep -v conftest.f | grep -v conftest.o`
3899 +    MOD=`echo "$MOD" | sed -e 's/conftest\.//g'`
3900 +    if test -z "$MOD" ; then
3901 +        MOD=`ls CONFTEST* 2>/dev/null \
3902 +                | grep -v CONFTEST.f | grep -v CONFTEST.o`
3903 +        MOD=`echo "$MOD" | sed -e 's/CONFTEST\.//g'`
3904 +        if test -n "$MOD" ; then
3905 +            testname="CONFTEST"
3906 +            modcase="upper"
3907 +        fi
3908 +    fi
3909 +    if test -z "$MOD" ; then
3910 +        echo "$as_me:$LINENO: result: unknown" >&5
3911 + echo "${ECHO_T}unknown" >&6
3912 +        # Use mod if we can't figure it out
3913 +        MOD="mod"
3914 +    else
3915 +        echo "$as_me:$LINENO: result: $MOD" >&5
3916 + echo "${ECHO_T}$MOD" >&6
3917 +    fi
3918 +    if test -s work.pcl ; then
3919 +        { echo "$as_me:$LINENO: WARNING: Compiler generates auxillery files!" >&5
3920 + echo "$as_me: WARNING: Compiler generates auxillery files!" >&2;}
3921 +    fi
3922 + else
3923 +    echo "$as_me:$LINENO: result: unknown" >&5
3924 + echo "${ECHO_T}unknown" >&6
3925 + fi
3926 +
3927 +
3928 +
3929 +
3930 +
3931 + # Check for module include path (some use -I, some (Solaris) use -M, some
3932 + # (absoft) use -p).
3933 + # Intel compilers use a wierd system: -cl,filename.pcl .  If no file is
3934 + # specified, work.pcl and work.pc are created.  However, if you specify
3935 + # a file, it must contain a the name of a file ending in .pc .  Ugh!
3936 + # Use the module made above
3937 + echo "$as_me:$LINENO: checking for module directory path flag" >&5
3938 + echo $ECHO_N "checking for module directory path flag... $ECHO_C" >&6
3939 + rm -f conftest*
3940 + # Intel ifc compiler generates files by the name of work.pc and work.pcl (!)
3941 + rm -f work*
3942 + cat >conftest.f90 <<EOF
3943 +        module conftest
3944 +        integer n
3945 +        parameter (n=1)
3946 +        end module conftest
3947 + EOF
3948 + # SGI and absoft compilers generates module name in upper case!
3949 + testname="conftest"
3950 + if $F90 -c conftest.f90 > conftest.out 2>&1 ; then
3951 +   mod=`ls CONFTEST* 2>/dev/null | grep -v CONFTEST.f | grep -v CONFTEST.o`
3952 +   mod=`echo "$mod" | sed -e 's/CONFTEST\.//g'`
3953 +   if test -n "$mod" ; then
3954 +      testname="CONFTEST"
3955 +   fi
3956 +   madedir=0
3957 +   if test ! -d conf ; then mkdir conf ; madedir=1; fi
3958 +   cp $testname.$MOD conf
3959 +   rm -f conftest* CONFTEST*
3960 +   cat >conftest1.f90 <<EOF
3961 +        program main
3962 +        use conftest
3963 +        print *, n
3964 +        end
3965 + EOF
3966 +   F90_WORK_FILES_ARG=""
3967 +   F90MODINCSPEC=""
3968 +   if $F90 -c -Iconf conftest1.f90 > conftest.out 2>&1 ; then
3969 +       MODDIRFLAG="-I"
3970 +       F90MODINCSPEC="-I<dir>"
3971 +       echo "$as_me:$LINENO: result: -I" >&5
3972 + echo "${ECHO_T}-I" >&6
3973 +   elif $F90 -c -Mconf conftest1.f90 >> conftest.out 2>&1 ; then
3974 +       MODDIRFLAG="-M"
3975 +       F90MODINCSPEC="-M<dir>"
3976 +       echo "$as_me:$LINENO: result: -M" >&5
3977 + echo "${ECHO_T}-M" >&6
3978 +   elif $F90 -c -pconf conftest1.f90 >> conftest.out 2>&1 ; then
3979 +       MODDIRFLAG="-p"
3980 +       F90MODINCSPEC="-p<dir>"
3981 +       echo "$as_me:$LINENO: result: -p" >&5
3982 + echo "${ECHO_T}-p" >&6
3983 +   elif test -s work.pc ; then
3984 +        cp work.pc conf/mpimod.pc
3985 +        echo "mpimod.pc" > conf/mpimod.pcl
3986 +        echo "`pwd`/conf/mpimod.pc" >> conf/mpimod.pcl
3987 +        if $F90 -c -cl,conf/mpimod.pcl conftest1.f >>conftest.out 2>&1 ; then
3988 +            MODDIRFLAG='-cl,mpimod.pcl'
3989 +            echo "$as_me:$LINENO: result: -cl,filename where filename contains a list of files and directories" >&5
3990 + echo "${ECHO_T}-cl,filename where filename contains a list of files and directories" >&6
3991 +            F90_WORK_FILES_ARG="-cl,mpimod.pcl"
3992 +            F90MODINCSPEC="-cl,<dir>/<file>mod.pcl"
3993 +
3994 +        else
3995 +            # The version of the Intel compiler that I have refuses to let
3996 +            # you put the "work catalog" list anywhere but the current
3997 +            # directory. For example, you cannot in
3998 +         :
3999 +        fi
4000 +   fi
4001 +   if test -z "MODDIRFLAG" ; then
4002 +       echo "$as_me:$LINENO: result: unknown" >&5
4003 + echo "${ECHO_T}unknown" >&6
4004 +   fi
4005 +
4006 +
4007 +   rm -f conftest* conf/conftest* conf/CONFTEST* CONFTEST* conf/mpimod*
4008 +   if test $madedir = 1 ; then rmdir conf ; fi
4009 + fi
4010 +
4011 +
4012 +
4013 +
4014   case $debug in
4015    1)
4016       ;;
# Line 4195 | Line 4957 | ac_ext=c
4957          ac_guessed_f90flags=no
4958   fi
4959   rm -f conftest*
4960 < ac_ext=c
4961 < ac_cpp='$CPP $CPPFLAGS'
4962 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
4963 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4202 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
4960 > ac_ext=f90
4961 > ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4962 > ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4963 > ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4964  
4965  
4966   fi
# Line 4466 | Line 5227 | test -n "$YACC" || YACC="yacc"
5227   done
5228   test -n "$YACC" || YACC="yacc"
5229  
4469
5230   for ac_prog in flex lex
5231   do
5232    # Extract the first word of "$ac_prog", so it can be a program name with args.
# Line 4518 | Line 5278 | cat >conftest.$ac_ext <<_ACEOF
5278    ac_check_lib_save_LIBS=$LIBS
5279   LIBS="-lfl  $LIBS"
5280   cat >conftest.$ac_ext <<_ACEOF
4521 #line $LINENO "configure"
4522 /* confdefs.h.  */
4523 _ACEOF
4524 cat confdefs.h >>conftest.$ac_ext
4525 cat >>conftest.$ac_ext <<_ACEOF
4526 /* end confdefs.h.  */
5281  
5282 < /* Override any gcc2 internal prototype to avoid an error.  */
5283 < #ifdef __cplusplus
5284 < extern "C"
5285 < #endif
5286 < /* We use char because int might match the return type of a gcc2
4533 <   builtin and then its argument prototype would still apply.  */
4534 < char yywrap ();
4535 < int
4536 < main ()
4537 < {
4538 < yywrap ();
4539 <  ;
4540 <  return 0;
4541 < }
5282 > program main
5283 >
5284 > call yywrap
5285 > end program main
5286 >
5287   _ACEOF
5288   rm -f conftest.$ac_objext conftest$ac_exeext
5289   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 4575 | Line 5320 | cat >conftest.$ac_ext <<_ACEOF
5320    ac_check_lib_save_LIBS=$LIBS
5321   LIBS="-ll  $LIBS"
5322   cat >conftest.$ac_ext <<_ACEOF
4578 #line $LINENO "configure"
4579 /* confdefs.h.  */
4580 _ACEOF
4581 cat confdefs.h >>conftest.$ac_ext
4582 cat >>conftest.$ac_ext <<_ACEOF
4583 /* end confdefs.h.  */
5323  
5324 < /* Override any gcc2 internal prototype to avoid an error.  */
5325 < #ifdef __cplusplus
5326 < extern "C"
5327 < #endif
5328 < /* We use char because int might match the return type of a gcc2
4590 <   builtin and then its argument prototype would still apply.  */
4591 < char yywrap ();
4592 < int
4593 < main ()
4594 < {
4595 < yywrap ();
4596 <  ;
4597 <  return 0;
4598 < }
5324 > program main
5325 >
5326 > call yywrap
5327 > end program main
5328 >
5329   _ACEOF
5330   rm -f conftest.$ac_objext conftest$ac_exeext
5331   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 4805 | Line 5535 | fi
5535   fi
5536   rm -f confcache
5537    exit 1
4808 fi
4809
4810 ac_ext=f90
4811 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4812 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4813 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4814
4815
4816
4817 ac_ext=f90
4818 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4819 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4820 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4821 echo "$as_me:$LINENO: checking how to get verbose linking output from $F90" >&5
4822 echo $ECHO_N "checking how to get verbose linking output from $F90... $ECHO_C" >&6
4823 if test "${ac_cv_prog_f90_v+set}" = set; then
4824  echo $ECHO_N "(cached) $ECHO_C" >&6
4825 else
4826
4827 cat >conftest.$ac_ext <<_ACEOF
4828
4829 program main
4830
4831
4832 end program main
4833
4834 _ACEOF
4835 rm -f conftest.$ac_objext
4836 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4837  (eval $ac_compile) 2>&5
4838  ac_status=$?
4839  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4840  (exit $ac_status); } &&
4841         { ac_try='test -s conftest.$ac_objext'
4842  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4843  (eval $ac_try) 2>&5
4844  ac_status=$?
4845  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4846  (exit $ac_status); }; }; then
4847  ac_cv_prog_f90_v=
4848 # Try some options frequently used verbose output
4849 for ac_verb in -v -verbose --verbose -V -\#\#\#; do
4850  ac_ext=f90
4851 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4852 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4853 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4854
4855 cat >conftest.$ac_ext <<_ACEOF
4856
4857 program main
4858
4859
4860 end program main
4861
4862 _ACEOF
4863
4864 # Compile and link our simple test program by passing a flag (argument
4865 # 1 to this macro) to the Fortran 90 compiler in order to get
4866 # "verbose" output that we can then parse for the Fortran 90 linker
4867 # flags.
4868 ac_save_F90FLAGS=$F90FLAGS
4869 F90FLAGS="$F90FLAGS $ac_verb"
4870
4871 (eval echo $as_me:4871: \"$ac_link\") >&5
4872 ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4873 echo "$ac_f90_v_output" >&5
4874 F90FLAGS=$ac_save_F90FLAGS
4875
4876 rm -f conftest.*
4877 ac_ext=f90
4878 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4879 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4880 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4881
4882 # If we are using xlf then replace all the commas with spaces.
4883 if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
4884  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
4885 fi
4886
4887 # If we are using Cray Fortran then delete quotes.
4888 # Use "\"" instead of '"' for font-lock-mode.
4889 # FIXME: a more general fix for quoted arguments with spaces?
4890 if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
4891  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
4892 fi
4893  # look for -l* and *.a constructs in the output
4894  for ac_arg in $ac_f90_v_output; do
4895     case $ac_arg in
4896        [\\/]*.a | ?:[\\/]*.a | -[lLRu]*)
4897          ac_cv_prog_f90_v=$ac_verb
4898          break 2 ;;
4899     esac
4900  done
4901 done
4902 if test -z "$ac_cv_prog_f90_v"; then
4903   { echo "$as_me:$LINENO: WARNING: cannot determine how to obtain linking information from $F90" >&5
4904 echo "$as_me: WARNING: cannot determine how to obtain linking information from $F90" >&2;}
4905 fi
4906 else
4907  echo "$as_me: failed program was:" >&5
4908 sed 's/^/| /' conftest.$ac_ext >&5
4909
4910 { echo "$as_me:$LINENO: WARNING: compilation failed" >&5
4911 echo "$as_me: WARNING: compilation failed" >&2;}
4912 fi
4913 rm -f conftest.$ac_objext conftest.$ac_ext
4914
4915 fi
4916 echo "$as_me:$LINENO: result: $ac_cv_prog_f90_v" >&5
4917 echo "${ECHO_T}$ac_cv_prog_f90_v" >&6
4918 echo "$as_me:$LINENO: checking for Fortran 90 libraries" >&5
4919 echo $ECHO_N "checking for Fortran 90 libraries... $ECHO_C" >&6
4920 if test "${ac_cv_flibs+set}" = set; then
4921  echo $ECHO_N "(cached) $ECHO_C" >&6
4922 else
4923  if test "x$F90LIBS" != "x"; then
4924  ac_cv_f90libs="$F90LIBS" # Let the user override the test.
4925 else
4926
4927 ac_ext=f90
4928 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4929 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4930 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4931
4932 cat >conftest.$ac_ext <<_ACEOF
4933
4934 program main
4935
4936
4937 end program main
4938
4939 _ACEOF
4940
4941 # Compile and link our simple test program by passing a flag (argument
4942 # 1 to this macro) to the Fortran 90 compiler in order to get
4943 # "verbose" output that we can then parse for the Fortran 90 linker
4944 # flags.
4945 ac_save_F90FLAGS=$F90FLAGS
4946 F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
4947
4948 (eval echo $as_me:4948: \"$ac_link\") >&5
4949 ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4950 echo "$ac_f90_v_output" >&5
4951 F90FLAGS=$ac_save_F90FLAGS
4952
4953 rm -f conftest.*
4954 ac_ext=f90
4955 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4956 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4957 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4958
4959 # If we are using xlf then replace all the commas with spaces.
4960 if echo $ac_f90_v_output | grep xlfentry >/dev/null 2>&1; then
4961  ac_f90_v_output=`echo $ac_f90_v_output | sed 's/,/ /g'`
5538   fi
5539  
4964 # If we are using Cray Fortran then delete quotes.
4965 # Use "\"" instead of '"' for font-lock-mode.
4966 # FIXME: a more general fix for quoted arguments with spaces?
4967 if echo $ac_f90_v_output | grep cft90 >/dev/null 2>&1; then
4968  ac_f90_v_output=`echo $ac_f90_v_output | sed "s/\"//g"`
4969 fi
4970
4971 ac_cv_f90libs=
4972
4973 # Save positional arguments (if any)
4974 ac_save_positional="$@"
4975
4976 set X $ac_f90_v_output
4977 while test $# != 1; do
4978  shift
4979  ac_arg=$1
4980  case $ac_arg in
4981        [\\/]*.a | ?:[\\/]*.a)
4982            ac_exists=false
4983  for ac_i in $ac_cv_f90libs; do
4984    if test x"$ac_arg" = x"$ac_i"; then
4985      ac_exists=true
4986      break
4987    fi
4988  done
4989
4990  if test x"$ac_exists" = xtrue; then
4991  :
4992 else
4993  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
4994 fi
4995
4996          ;;
4997        -bI:*)
4998            ac_exists=false
4999  for ac_i in $ac_cv_f90libs; do
5000    if test x"$ac_arg" = x"$ac_i"; then
5001      ac_exists=true
5002      break
5003    fi
5004  done
5005
5006  if test x"$ac_exists" = xtrue; then
5007  :
5008 else
5009  if test "$ac_compiler_gnu" = yes; then
5010  for ac_link_opt in $ac_arg; do
5011    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
5012  done
5013 else
5014  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
5015 fi
5016 fi
5017
5018          ;;
5019          # Ignore these flags.
5020        -lang* | -lcrt0.o | -lc | -lgcc | -LANG:=*)
5021          ;;
5022        -lkernel32)
5023          test x"$CYGWIN" != xyes && ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
5024          ;;
5025        -[LRuY])
5026          # These flags, when seen by themselves, take an argument.
5027          # We remove the space between option and argument and re-iterate
5028          # unless we find an empty arg or a new option (starting with -)
5029          case $2 in
5030             "" | -*);;
5031             *)
5032                ac_arg="$ac_arg$2"
5033
5034                shift; shift
5035                set X $ac_arg "$@"
5036                ;;
5037          esac
5038          ;;
5039        -YP,*)
5040          for ac_j in `echo $ac_arg | sed -e 's/-YP,/-L/;s/:/ -L/g'`; do
5041              ac_exists=false
5042  for ac_i in $ac_cv_f90libs; do
5043    if test x"$ac_j" = x"$ac_i"; then
5044      ac_exists=true
5045      break
5046    fi
5047  done
5048
5049  if test x"$ac_exists" = xtrue; then
5050  :
5051 else
5052  ac_arg="$ac_arg $ac_j"
5053                             ac_cv_f90libs="$ac_cv_f90libs $ac_j"
5054 fi
5055
5056          done
5057          ;;
5058        -[lLR]*)
5059            ac_exists=false
5060  for ac_i in $ac_cv_f90libs; do
5061    if test x"$ac_arg" = x"$ac_i"; then
5062      ac_exists=true
5063      break
5064    fi
5065  done
5066
5067  if test x"$ac_exists" = xtrue; then
5068  :
5069 else
5070  ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
5071 fi
5072
5073          ;;
5074          # Ignore everything else.
5075  esac
5076 done
5077 # restore positional arguments
5078 set X $ac_save_positional; shift
5079
5080 # We only consider "LD_RUN_PATH" on Solaris systems.  If this is seen,
5081 # then we insist that the "run path" must be an absolute path (i.e. it
5082 # must begin with a "/").
5083 case `(uname -sr) 2>/dev/null` in
5084   "SunOS 5"*)
5085      ac_ld_run_path=`echo $ac_f90_v_output |
5086                        sed -n 's,^.*LD_RUN_PATH *= *\(/[^ ]*\).*$,-R\1,p'`
5087      test "x$ac_ld_run_path" != x &&
5088
5089        if test "$ac_compiler_gnu" = yes; then
5090  for ac_link_opt in $ac_ld_run_path; do
5091    ac_cv_f90libs="$ac_cv_f90libs -Xlinker $ac_link_opt"
5092  done
5093 else
5094  ac_cv_f90libs="$ac_cv_f90libs $ac_ld_run_path"
5095 fi
5096      ;;
5097 esac
5098 fi # test "x$F90LIBS" = "x"
5099
5100 fi
5101 echo "$as_me:$LINENO: result: $ac_cv_flibs" >&5
5102 echo "${ECHO_T}$ac_cv_flibs" >&6
5103 F90LIBS="$ac_cv_f90libs"
5104
5105 ac_ext=f90
5106 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5107 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5108 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5109
5110 echo "$as_me:$LINENO: checking for Fortran 90 name-mangling scheme" >&5
5111 echo $ECHO_N "checking for Fortran 90 name-mangling scheme... $ECHO_C" >&6
5112 if test "${ac_cv_f90_mangling+set}" = set; then
5113  echo $ECHO_N "(cached) $ECHO_C" >&6
5114 else
5115  ac_ext=f90
5116 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5117 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5118 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5119 cat >conftest.$ac_ext <<_ACEOF
5120 subroutine foobar()
5121 return
5122 end
5123 subroutine foo_bar()
5124 return
5125 end
5126 _ACEOF
5127 rm -f conftest.$ac_objext
5128 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5129  (eval $ac_compile) 2>&5
5130  ac_status=$?
5131  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5132  (exit $ac_status); } &&
5133         { ac_try='test -s conftest.$ac_objext'
5134  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5135  (eval $ac_try) 2>&5
5136  ac_status=$?
5137  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5138  (exit $ac_status); }; }; then
5139  mv conftest.$ac_objext cf90_test.$ac_objext
5140
5141  ac_ext=c
5142 ac_cpp='$CPP $CPPFLAGS'
5143 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5144 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5145 ac_compiler_gnu=$ac_cv_c_compiler_gnu
5146
5147  ac_save_LIBS=$LIBS
5148  LIBS="cf90_test.$ac_objext $F90LIBS $LIBS"
5149
5150  ac_success=no
5151  for ac_foobar in foobar FOOBAR; do
5152    for ac_underscore in "" "_"; do
5153      ac_func="$ac_foobar$ac_underscore"
5154      cat >conftest.$ac_ext <<_ACEOF
5155 #line $LINENO "configure"
5156 /* confdefs.h.  */
5157 _ACEOF
5158 cat confdefs.h >>conftest.$ac_ext
5159 cat >>conftest.$ac_ext <<_ACEOF
5160 /* end confdefs.h.  */
5161
5162 /* Override any gcc2 internal prototype to avoid an error.  */
5163 #ifdef __cplusplus
5164 extern "C"
5165 #endif
5166 /* We use char because int might match the return type of a gcc2
5167   builtin and then its argument prototype would still apply.  */
5168 char $ac_func ();
5169 int
5170 main ()
5171 {
5172 $ac_func ();
5173  ;
5174  return 0;
5175 }
5176 _ACEOF
5177 rm -f conftest.$ac_objext conftest$ac_exeext
5178 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5179  (eval $ac_link) 2>&5
5180  ac_status=$?
5181  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5182  (exit $ac_status); } &&
5183         { ac_try='test -s conftest$ac_exeext'
5184  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5185  (eval $ac_try) 2>&5
5186  ac_status=$?
5187  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5188  (exit $ac_status); }; }; then
5189  ac_success=yes; break 2
5190 else
5191  echo "$as_me: failed program was:" >&5
5192 sed 's/^/| /' conftest.$ac_ext >&5
5193
5194 fi
5195 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5196    done
5197  done
5198
5199  if test "$ac_success" = "yes"; then
5200     case $ac_foobar in
5201        foobar)
5202           ac_case=lower
5203           ac_foo_bar=foo_bar
5204           ;;
5205        FOOBAR)
5206           ac_case=upper
5207           ac_foo_bar=FOO_BAR
5208           ;;
5209     esac
5210
5211     ac_success_extra=no
5212     for ac_extra in "" "_"; do
5213        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
5214
5215        cat >conftest.$ac_ext <<_ACEOF
5216 #line $LINENO "configure"
5217 /* confdefs.h.  */
5218 _ACEOF
5219 cat confdefs.h >>conftest.$ac_ext
5220 cat >>conftest.$ac_ext <<_ACEOF
5221 /* end confdefs.h.  */
5222
5223 /* Override any gcc2 internal prototype to avoid an error.  */
5224 #ifdef __cplusplus
5225 extern "C"
5226 #endif
5227 /* We use char because int might match the return type of a gcc2
5228   builtin and then its argument prototype would still apply.  */
5229 char $ac_func ();
5230 int
5231 main ()
5232 {
5233 $ac_func ();
5234  ;
5235  return 0;
5236 }
5237 _ACEOF
5238 rm -f conftest.$ac_objext conftest$ac_exeext
5239 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5240  (eval $ac_link) 2>&5
5241  ac_status=$?
5242  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5243  (exit $ac_status); } &&
5244         { ac_try='test -s conftest$ac_exeext'
5245  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5246  (eval $ac_try) 2>&5
5247  ac_status=$?
5248  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5249  (exit $ac_status); }; }; then
5250  ac_success_extra=yes; break
5251 else
5252  echo "$as_me: failed program was:" >&5
5253 sed 's/^/| /' conftest.$ac_ext >&5
5254
5255 fi
5256 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5257     done
5258
5259     if test "$ac_success_extra" = "yes"; then
5260        ac_cv_f90_mangling="$ac_case case"
5261        if test -z "$ac_underscore"; then
5262           ac_cv_f90_mangling="$ac_cv_f90_mangling, no underscore"
5263        else
5264           ac_cv_f90_mangling="$ac_cv_f90_mangling, underscore"
5265
5266        fi
5267        if test -z "$ac_extra"; then
5268           ac_cv_f90_mangling="$ac_cv_f90_mangling, no extra underscore"
5269        else
5270           ac_cv_f90_mangling="$ac_cv_f90_mangling, extra underscore"
5271        fi
5272      else
5273        ac_cv_f90_mangling="unknown"
5274      fi
5275  else
5276     ac_cv_f90_mangling="unknown"
5277
5278  fi
5279
5280  LIBS=$ac_save_LIBS
5281  ac_ext=f90
5282 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5283 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5284 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5285  rm -f cf90_test* conftest*
5286 else
5287  echo "$as_me: failed program was:" >&5
5288 sed 's/^/| /' conftest.$ac_ext >&5
5289
5290 fi
5291 rm -f conftest.$ac_objext conftest.$ac_ext
5292 ac_ext=f90
5293 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5294 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5295 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5296
5297 fi
5298 echo "$as_me:$LINENO: result: $ac_cv_f90_mangling" >&5
5299 echo "${ECHO_T}$ac_cv_f90_mangling" >&6
5300
5301
5302
5303 case $ac_cv_f90_mangling in
5304  "lower case, no underscore, no extra underscore")
5305          cat >>confdefs.h <<\_ACEOF
5306 #define F90_FUNC(name,NAME) name
5307 _ACEOF
5308
5309          cat >>confdefs.h <<\_ACEOF
5310 #define F90_FUNC_(name,NAME) name
5311 _ACEOF
5312 ;;
5313  "lower case, no underscore, extra underscore")
5314          cat >>confdefs.h <<\_ACEOF
5315 #define F90_FUNC(name,NAME) name
5316 _ACEOF
5317
5318          cat >>confdefs.h <<\_ACEOF
5319 #define F90_FUNC_(name,NAME) name ## _
5320 _ACEOF
5321 ;;
5322  "lower case, underscore, no extra underscore")
5323          cat >>confdefs.h <<\_ACEOF
5324 #define F90_FUNC(name,NAME) name ## _
5325 _ACEOF
5326
5327          cat >>confdefs.h <<\_ACEOF
5328 #define F90_FUNC_(name,NAME) name ## _
5329 _ACEOF
5330 ;;
5331  "lower case, underscore, extra underscore")
5332          cat >>confdefs.h <<\_ACEOF
5333 #define F90_FUNC(name,NAME) name ## _
5334 _ACEOF
5335
5336          cat >>confdefs.h <<\_ACEOF
5337 #define F90_FUNC_(name,NAME) name ## __
5338 _ACEOF
5339 ;;
5340  "upper case, no underscore, no extra underscore")
5341          cat >>confdefs.h <<\_ACEOF
5342 #define F90_FUNC(name,NAME) NAME
5343 _ACEOF
5344
5345          cat >>confdefs.h <<\_ACEOF
5346 #define F90_FUNC_(name,NAME) NAME
5347 _ACEOF
5348 ;;
5349  "upper case, no underscore, extra underscore")
5350          cat >>confdefs.h <<\_ACEOF
5351 #define F90_FUNC(name,NAME) NAME
5352 _ACEOF
5353
5354          cat >>confdefs.h <<\_ACEOF
5355 #define F90_FUNC_(name,NAME) NAME ## _
5356 _ACEOF
5357 ;;
5358  "upper case, underscore, no extra underscore")
5359          cat >>confdefs.h <<\_ACEOF
5360 #define F90_FUNC(name,NAME) NAME ## _
5361 _ACEOF
5362
5363          cat >>confdefs.h <<\_ACEOF
5364 #define F90_FUNC_(name,NAME) NAME ## _
5365 _ACEOF
5366 ;;
5367  "upper case, underscore, extra underscore")
5368          cat >>confdefs.h <<\_ACEOF
5369 #define F90_FUNC(name,NAME) NAME ## _
5370 _ACEOF
5371
5372          cat >>confdefs.h <<\_ACEOF
5373 #define F90_FUNC_(name,NAME) NAME ## __
5374 _ACEOF
5375 ;;
5376  *)
5377          { echo "$as_me:$LINENO: WARNING: unknown Fortran 90 name-mangling scheme" >&5
5378 echo "$as_me: WARNING: unknown Fortran 90 name-mangling scheme" >&2;}
5379          ;;
5380 esac
5381
5382
5383
5384
5385
5386 echo "$as_me:$LINENO: checking for module suffix" >&5
5387 echo $ECHO_N "checking for module suffix... $ECHO_C" >&6
5388 rm -f conftest*
5389 # Intel ifc compiler generates files by the name of work.pc and work.pcl (!)
5390 rm -f work*
5391 cat >conftest.f90 <<EOF
5392        module conftest
5393        integer n
5394        parameter (n=1)
5395        end module conftest
5396 EOF
5397 # SGI and absoft compilers generates module name in upper case!
5398 testname="conftest"
5399 modcase="lower"
5400 if $F90 -c conftest.f90 > conftest.out 2>&1 ; then
5401    MOD=`ls conftest* | grep -v conftest.f | grep -v conftest.o`
5402    MOD=`echo "$MOD" | sed -e 's/conftest\.//g'`
5403    if test -z "$MOD" ; then
5404        MOD=`ls CONFTEST* 2>/dev/null \
5405                | grep -v CONFTEST.f | grep -v CONFTEST.o`
5406        MOD=`echo "$MOD" | sed -e 's/CONFTEST\.//g'`
5407        if test -n "$MOD" ; then
5408            testname="CONFTEST"
5409            modcase="upper"
5410        fi
5411    fi
5412    if test -z "$MOD" ; then
5413        echo "$as_me:$LINENO: result: unknown" >&5
5414 echo "${ECHO_T}unknown" >&6
5415        # Use mod if we can't figure it out
5416        MOD="mod"
5417    else
5418        echo "$as_me:$LINENO: result: $MOD" >&5
5419 echo "${ECHO_T}$MOD" >&6
5420    fi
5421    if test -s work.pcl ; then
5422        { echo "$as_me:$LINENO: WARNING: Compiler generates auxillery files!" >&5
5423 echo "$as_me: WARNING: Compiler generates auxillery files!" >&2;}
5424    fi
5425 else
5426    echo "$as_me:$LINENO: result: unknown" >&5
5427 echo "${ECHO_T}unknown" >&6
5428 fi
5429
5430
5431
5432
5433
5434 # Check for module include path (some use -I, some (Solaris) use -M, some
5435 # (absoft) use -p).
5436 # Intel compilers use a wierd system: -cl,filename.pcl .  If no file is
5437 # specified, work.pcl and work.pc are created.  However, if you specify
5438 # a file, it must contain a the name of a file ending in .pc .  Ugh!
5439 # Use the module made above
5440 echo "$as_me:$LINENO: checking for module directory path flag" >&5
5441 echo $ECHO_N "checking for module directory path flag... $ECHO_C" >&6
5442 rm -f conftest*
5443 # Intel ifc compiler generates files by the name of work.pc and work.pcl (!)
5444 rm -f work*
5445 cat >conftest.f90 <<EOF
5446        module conftest
5447        integer n
5448        parameter (n=1)
5449        end module conftest
5450 EOF
5451 # SGI and absoft compilers generates module name in upper case!
5452 testname="conftest"
5453 if $F90 -c conftest.f90 > conftest.out 2>&1 ; then
5454   mod=`ls CONFTEST* 2>/dev/null | grep -v CONFTEST.f | grep -v CONFTEST.o`
5455   mod=`echo "$mod" | sed -e 's/CONFTEST\.//g'`
5456   if test -n "$mod" ; then
5457      testname="CONFTEST"
5458   fi
5459   madedir=0
5460   if test ! -d conf ; then mkdir conf ; madedir=1; fi
5461   cp $testname.$MOD conf
5462   rm -f conftest* CONFTEST*
5463   cat >conftest1.f90 <<EOF
5464        program main
5465        use conftest
5466        print *, n
5467        end
5468 EOF
5469   F90_WORK_FILES_ARG=""
5470   F90MODINCSPEC=""
5471   if $F90 -c -Iconf conftest1.f90 > conftest.out 2>&1 ; then
5472       MODDIRFLAG="-I"
5473       F90MODINCSPEC="-I<dir>"
5474       echo "$as_me:$LINENO: result: -I" >&5
5475 echo "${ECHO_T}-I" >&6
5476   elif $F90 -c -Mconf conftest1.f90 >> conftest.out 2>&1 ; then
5477       MODDIRFLAG="-M"
5478       F90MODINCSPEC="-M<dir>"
5479       echo "$as_me:$LINENO: result: -M" >&5
5480 echo "${ECHO_T}-M" >&6
5481   elif $F90 -c -pconf conftest1.f90 >> conftest.out 2>&1 ; then
5482       MODDIRFLAG="-p"
5483       F90MODINCSPEC="-p<dir>"
5484       echo "$as_me:$LINENO: result: -p" >&5
5485 echo "${ECHO_T}-p" >&6
5486   elif test -s work.pc ; then
5487        cp work.pc conf/mpimod.pc
5488        echo "mpimod.pc" > conf/mpimod.pcl
5489        echo "`pwd`/conf/mpimod.pc" >> conf/mpimod.pcl
5490        if $F90 -c -cl,conf/mpimod.pcl conftest1.f >>conftest.out 2>&1 ; then
5491            MODDIRFLAG='-cl,mpimod.pcl'
5492            echo "$as_me:$LINENO: result: -cl,filename where filename contains a list of files and directories" >&5
5493 echo "${ECHO_T}-cl,filename where filename contains a list of files and directories" >&6
5494            F90_WORK_FILES_ARG="-cl,mpimod.pcl"
5495            F90MODINCSPEC="-cl,<dir>/<file>mod.pcl"
5496
5497        else
5498            # The version of the Intel compiler that I have refuses to let
5499            # you put the "work catalog" list anywhere but the current
5500            # directory. For example, you cannot in
5501         :
5502        fi
5503   fi
5504   if test -z "MODDIRFLAG" ; then
5505       echo "$as_me:$LINENO: result: unknown" >&5
5506 echo "${ECHO_T}unknown" >&6
5507   fi
5508
5509
5510   rm -f conftest* conf/conftest* conf/CONFTEST* CONFTEST* conf/mpimod*
5511   if test $madedir = 1 ; then rmdir conf ; fi
5512 fi
5513
5514
5515
5540   echo "$as_me:$LINENO: checking for mpi-directory" >&5
5541   echo $ECHO_N "checking for mpi-directory... $ECHO_C" >&6
5542  
# Line 7629 | Line 7653 | s,@F90@,$F90,;t t
7653   s,@CXX@,$CXX,;t t
7654   s,@CXXFLAGS@,$CXXFLAGS,;t t
7655   s,@ac_ct_CXX@,$ac_ct_CXX,;t t
7656 + s,@OOPSE_TEMPLATE_FLAGS@,$OOPSE_TEMPLATE_FLAGS,;t t
7657 + s,@EXTRA_CC_FLAG@,$EXTRA_CC_FLAG,;t t
7658   s,@F90@,$F90,;t t
7659   s,@F90FLAGS@,$F90FLAGS,;t t
7660   s,@ac_ct_F90@,$ac_ct_F90,;t t
7661   s,@PREPFLAG@,$PREPFLAG,;t t
7662   s,@PREPDEFFLAG@,$PREPDEFFLAG,;t t
7663 + s,@F90LIBS@,$F90LIBS,;t t
7664 + s,@F90_FUNC@,$F90_FUNC,;t t
7665 + s,@F90_FUNC_@,$F90_FUNC_,;t t
7666 + s,@MOD@,$MOD,;t t
7667 + s,@F90_WORK_FILES_ARG@,$F90_WORK_FILES_ARG,;t t
7668 + s,@MODDIRFLAG@,$MODDIRFLAG,;t t
7669 + s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
7670   s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
7671   s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
7672   s,@INSTALL_DATA@,$INSTALL_DATA,;t t
# Line 7646 | Line 7679 | s,@F90LIBS@,$F90LIBS,;t t
7679   s,@LEXLIB@,$LEXLIB,;t t
7680   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
7681   s,@AR@,$AR,;t t
7649 s,@F90LIBS@,$F90LIBS,;t t
7650 s,@F90_FUNC@,$F90_FUNC,;t t
7651 s,@F90_FUNC_@,$F90_FUNC_,;t t
7652 s,@MOD@,$MOD,;t t
7653 s,@F90_WORK_FILES_ARG@,$F90_WORK_FILES_ARG,;t t
7654 s,@MODDIRFLAG@,$MODDIRFLAG,;t t
7655 s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
7682   s,@mpi_dir@,$mpi_dir,;t t
7683   s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
7684   s,@MPI_INC@,$MPI_INC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines